See the top rated post in this thread. Click here

Page 1 of 2 12 LastLast
Results 1 to 10 of 17

Thread: Penetration in structure with crossing lines (X shape) inside

  1. #1
    Active Member
    Join Date
    2011-10
    Posts
    83
    Login to Give a bone
    0

    Default Penetration in structure with crossing lines (X shape) inside

    Dear all,

    I would like to get some help from you. Very offen I draw penetration in slabs or walls as closed polyline with crossing lines inside (X -shape), opposite vertices are connected. Example shape like below. 95% of my penetrations are shapes based on 4 vertices. Can someone help and provide a code to make my work faster. I imagine it like this: type command, pick 1st, 2nd, 3rd and 4th ends and I have outline (eg. rectangle) on specific layer and crossing lines inside (X shape) on another layer. Thanks in advance.
    Attached Images Attached Images

  2. #2
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    9,106
    Login to Give a bone
    0

    Default Re: Penetration in structure with crossing lines (X shape) inside

    Can you not make this as a dynamic block?
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  3. #3
    Active Member
    Join Date
    2011-10
    Posts
    83
    Login to Give a bone
    1

    Default Re: Penetration in structure with crossing lines (X shape) inside

    yes I can, but prefer other solution, because it needs to match company internal drafting standard

  4. #4
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    9,106
    Login to Give a bone
    0

    Default Re: Penetration in structure with crossing lines (X shape) inside

    If it is always a rectangle, I would still recommend a dynamic block drawn to your drafting standard. With a dynamic block, you would control the look of the objects within it and you would not be dependent on someone else to fix code if something is not as expected through code.
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  5. #5
    Active Member
    Join Date
    2011-10
    Posts
    83
    Login to Give a bone
    0

    Default Re: Penetration in structure with crossing lines (X shape) inside

    Generally rectangle. That's true, dynamic block is a very good solution, but I will need to explode it after adjusting to satisfy company drafting standard Faster than drafting rectangle and two lines inside, but if I can do it even faster That's why I thought to try with some lisp code... If someone still want to share with any code I will be grateful.

  6. #6
    Certifiable AUGI Addict tedg's Avatar
    Join Date
    2005-06
    Location
    in the upper right corner
    Posts
    3,507
    Login to Give a bone
    1

    Default Re: Penetration in structure with crossing lines (X shape) inside

    I have a lisp that I got here and have added to and modified for my company standards etc.
    Check out THIS THREAD for the original routine.
    Thanks d_m_hopper!!

    Here is mine:
    Code:
    ;;Draws a rectangle with an "X" for shaft
    ;;Grabbed from AUGI forum 10-26-09
    ;;Edited 03-14-12 changed SETQ Point2 for rubberband rectangle effect
    ;;Edited 09-26-13 Changed / Added Layers for structural Plans - Company cad standards
    
    (defun c:shaft (/ Point1 Point2 Point3 Point4 osm la lr1 lr2)
    (setq Point1 (getpoint "\nPick first corner of rectangle: ")
    	)
    (setq Point2 (getcorner Point1 "\nPick second corner of rectangle: ")
    	)
    (setq Point3 (list (nth 0 Point1) (nth 1 Point2)
    		     )
    	)
    (setq Point4 (list (nth 0 Point2) (nth 1 Point1)
    		     )
    	)
    (setq osm (getvar "osmode"))
    (setq la (getvar "clayer"))
    	(SETQ LR1 (TBLSEARCH "LAYER" "S-OPNG-N"))   
    	(SETQ LR2 (TBLSEARCH "LAYER" "S-OPNG-CNTR-N"))
    		(IF (= LR1 NIL)
    		(command "layer" "make" "S-OPNG-N" "color" "3" "" "lw" "0.35" "" ""))
    		(IF (= LR2 NIL)
    		(command "layer" "make" "S-OPNG-CNTR-N" "COLOR" "10" "" "lw" "0.18" "" "LT" "CENTER2" "" ""))
    (setvar "osmode" 16384)
    (command "layer" "t" "S-OPNG-N" "S" "S-OPNG-N" "")
    (command "._rectang" Point1 Point2 )
    (command "layer" "t" "S-OPNG-CNTR-N" "S" "S-OPNG-CNTR-N" "")
    (command "._line" Point1 Point2 "" "._line" Point3 Point4 "")
    (setvar "osmode" osm)
    (setvar "clayer" la)
    )
    (princ)
    Last edited by tedg; 2015-01-09 at 01:38 PM. Reason: thanks d_m_hopper

  7. #7
    Active Member
    Join Date
    2011-10
    Posts
    83
    Login to Give a bone
    0

    Default Re: Penetration in structure with crossing lines (X shape) inside

    Thanks, that's something. but I cannot draw slanting penetrations... that's why I thought about picking four (three - for closed polyline) points. I have modified a little this routine (see below), but I got four lines around and two lines inside shaft. I am not good at this.... How to get polyline around and two lines inside?
    Code:
    (defun c:drawshaft (/ Point1 Point2 Point3 Point4 osm la lr1 lr2)
    (setq Point1 (getpoint "\nPick first corner of rectangle: ")
    	)
    (setq Point2 (getpoint "\nPick second corner of rectangle: ")
    	)
    (setq Point3 (getpoint "\nPick third corner of rectangle: ")
    	)
    (setq Point4 (getpoint "\nPick fourth corner of rectangle: ")
    	)
    (setq osm (getvar "osmode"))
    (setq la (getvar "clayer"))
    	(SETQ LR1 (TBLSEARCH "LAYER" "CONC-Y"))   
    	(SETQ LR2 (TBLSEARCH "LAYER" "PENETRATION-WHITE"))
    		(IF (= LR1 NIL)
    		(command "layer" "make" "CONC-Y" "color" "2" "" "l" "continuous" "" ""))
    		(IF (= LR2 NIL)
    		(command "layer" "make" "PENETRATION-WHITE" "COLOR" "7" "" "l" "continuous" "" ""))
    (setvar "osmode" 16384)
    (command "layer" "t" "CONC-Y" "S" "CONC-Y" "")
    (command "._line" Point1 Point2 Point3 Point4 "c" )
    (command "layer" "t" "PENETRATION-WHITE" "S" "PENETRATION-WHITE" "")
    (command "._line" Point1 Point3 "" "._line" Point2 Point4 "")
    (setvar "osmode" osm)
    (setvar "clayer" la)
    )
    (princ)

  8. #8
    Certifiable AUGI Addict tedg's Avatar
    Join Date
    2005-06
    Location
    in the upper right corner
    Posts
    3,507
    Login to Give a bone
    0

    Default Re: Penetration in structure with crossing lines (X shape) inside

    Quote Originally Posted by Arterius View Post
    Thanks, that's something. but I cannot draw slanting penetrations... that's why I thought about picking four (three - for closed polyline) points. I have modified a little this routine (see below), but I got four lines around and two lines inside shaft. I am not good at this.... How to get polyline around and two lines inside?
    Is it always going to be a rectangle, but sometimes at an angle?

  9. #9
    Active Member
    Join Date
    2011-10
    Posts
    83
    Login to Give a bone
    0

    Default Re: Penetration in structure with crossing lines (X shape) inside

    quite often

  10. #10
    Certifiable AUGI Addict tedg's Avatar
    Join Date
    2005-06
    Location
    in the upper right corner
    Posts
    3,507
    Login to Give a bone
    0

    Default Re: Penetration in structure with crossing lines (X shape) inside

    Quote Originally Posted by Arterius View Post
    quite often
    How do you determine the angle, pick a line on your drawing? Pick points? Type it in?

Page 1 of 2 12 LastLast

Similar Threads

  1. molding nonlinear shape inside revit wall
    By architecturepaper164462 in forum Revit Architecture - United Kingdom
    Replies: 2
    Last Post: 2013-10-02, 12:04 AM
  2. Hide Crossing Dimension Lines
    By autocad.wishlist1734 in forum AutoCAD Wish List
    Replies: 2
    Last Post: 2012-07-16, 03:17 AM
  3. Erasing Model Lines with Crossing Window?
    By rdevine in forum Revit MEP - General
    Replies: 3
    Last Post: 2011-04-18, 05:51 PM
  4. Standard for crossing lines
    By prose in forum CAD Standards
    Replies: 11
    Last Post: 2010-04-21, 08:40 PM
  5. Duct not showing hidden lines when crossing
    By dbanker in forum AMEP General
    Replies: 3
    Last Post: 2009-01-23, 07:59 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •